events.listen("recipes", function (e) {
  e.custom({
    type: "immersiveengineering:arc_furnace",
    results: [
      { count: 4, base_ingredient: { item: "mekanism:structural_glass" } },
    ],
    additives: [{ item: "minecraft:glass" }],

    input: { count: 4, base_ingredient: { item: "mekanism:ingot_steel" } },
    time: 100,
    energy: 12500,
  });
  //sheetmetal iron

  e.shaped(
    item.of("immersiveengineering:sheetmetal_iron", 2),
    [" A ", "ABA", " A "],
    {
      A: "thermal:iron_plate",
      B: "pneumaticcraft:plastic_brick_white",
    }
  );

  //sheetmetal copper

  e.shaped(
    item.of("immersiveengineering:sheetmetal_copper", 2),
    [" A ", "ABA", " A "],
    {
      A: "thermal:copper_plate",
      B: "pneumaticcraft:plastic_brick_orange",
    }
  );
  e.custom({
    type: "immersiveengineering:arc_furnace",
    results: [
      {
        count: 6,
        base_ingredient: { item: "immersiveengineering:sheetmetal_iron" },
      },
    ],

    input: { count: 4, base_ingredient: { item: "thermal:iron_plate" } },
    time: 300,
    energy: 125000,
  });
  //sheetmetal steel

  e.shaped(
    item.of("immersiveengineering:sheetmetal_steel", 2),
    [" A ", "ABA", " A "],
    {
      A: "kubejs:steel_plate",
      B: "pneumaticcraft:plastic_brick_gray",
    }
  );
  e.custom({
    type: "immersiveengineering:arc_furnace",
    results: [
      {
        count: 6,
        base_ingredient: { item: "immersiveengineering:sheetmetal_steel" },
      },
    ],

    input: {
      count: 4,
      base_ingredient: { item: "kubejs:steel_plate" },
    },
    time: 300,
    energy: 125000,
  });
});
